Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
22.0.0.0
Broadcast address
22.255.255.255
First usable
22.0.0.1
Last usable
22.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 16000000 · Integer 369098752 to 385875967
Reverse DNS zone
22.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110..00000000.00000000.0000000022.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010110..00000000.00000000.0000000022.0.0.0
Broadcast00010110..11111111.11111111.1111111122.255.255.255
Split into smaller subnets/15

22.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.0.0.0/1522.0.0.1 to 22.1.255.25422.1.255.255131,070
222.2.0.0/1522.2.0.1 to 22.3.255.25422.3.255.255131,070
322.4.0.0/1522.4.0.1 to 22.5.255.25422.5.255.255131,070
422.6.0.0/1522.6.0.1 to 22.7.255.25422.7.255.255131,070
522.8.0.0/1522.8.0.1 to 22.9.255.25422.9.255.255131,070
622.10.0.0/1522.10.0.1 to 22.11.255.25422.11.255.255131,070
722.12.0.0/1522.12.0.1 to 22.13.255.25422.13.255.255131,070
822.14.0.0/1522.14.0.1 to 22.15.255.25422.15.255.255131,070
922.16.0.0/1522.16.0.1 to 22.17.255.25422.17.255.255131,070
1022.18.0.0/1522.18.0.1 to 22.19.255.25422.19.255.255131,070
1122.20.0.0/1522.20.0.1 to 22.21.255.25422.21.255.255131,070
1222.22.0.0/1522.22.0.1 to 22.23.255.25422.23.255.255131,070
1322.24.0.0/1522.24.0.1 to 22.25.255.25422.25.255.255131,070
1422.26.0.0/1522.26.0.1 to 22.27.255.25422.27.255.255131,070
1522.28.0.0/1522.28.0.1 to 22.29.255.25422.29.255.255131,070
1622.30.0.0/1522.30.0.1 to 22.31.255.25422.31.255.255131,070
1722.32.0.0/1522.32.0.1 to 22.33.255.25422.33.255.255131,070
1822.34.0.0/1522.34.0.1 to 22.35.255.25422.35.255.255131,070
1922.36.0.0/1522.36.0.1 to 22.37.255.25422.37.255.255131,070
2022.38.0.0/1522.38.0.1 to 22.39.255.25422.39.255.255131,070
2122.40.0.0/1522.40.0.1 to 22.41.255.25422.41.255.255131,070
2222.42.0.0/1522.42.0.1 to 22.43.255.25422.43.255.255131,070
2322.44.0.0/1522.44.0.1 to 22.45.255.25422.45.255.255131,070
2422.46.0.0/1522.46.0.1 to 22.47.255.25422.47.255.255131,070
2522.48.0.0/1522.48.0.1 to 22.49.255.25422.49.255.255131,070
2622.50.0.0/1522.50.0.1 to 22.51.255.25422.51.255.255131,070
2722.52.0.0/1522.52.0.1 to 22.53.255.25422.53.255.255131,070
2822.54.0.0/1522.54.0.1 to 22.55.255.25422.55.255.255131,070
2922.56.0.0/1522.56.0.1 to 22.57.255.25422.57.255.255131,070
3022.58.0.0/1522.58.0.1 to 22.59.255.25422.59.255.255131,070
3122.60.0.0/1522.60.0.1 to 22.61.255.25422.61.255.255131,070
3222.62.0.0/1522.62.0.1 to 22.63.255.25422.63.255.255131,070
3322.64.0.0/1522.64.0.1 to 22.65.255.25422.65.255.255131,070
3422.66.0.0/1522.66.0.1 to 22.67.255.25422.67.255.255131,070
3522.68.0.0/1522.68.0.1 to 22.69.255.25422.69.255.255131,070
3622.70.0.0/1522.70.0.1 to 22.71.255.25422.71.255.255131,070
3722.72.0.0/1522.72.0.1 to 22.73.255.25422.73.255.255131,070
3822.74.0.0/1522.74.0.1 to 22.75.255.25422.75.255.255131,070
3922.76.0.0/1522.76.0.1 to 22.77.255.25422.77.255.255131,070
4022.78.0.0/1522.78.0.1 to 22.79.255.25422.79.255.255131,070
4122.80.0.0/1522.80.0.1 to 22.81.255.25422.81.255.255131,070
4222.82.0.0/1522.82.0.1 to 22.83.255.25422.83.255.255131,070
4322.84.0.0/1522.84.0.1 to 22.85.255.25422.85.255.255131,070
4422.86.0.0/1522.86.0.1 to 22.87.255.25422.87.255.255131,070
4522.88.0.0/1522.88.0.1 to 22.89.255.25422.89.255.255131,070
4622.90.0.0/1522.90.0.1 to 22.91.255.25422.91.255.255131,070
4722.92.0.0/1522.92.0.1 to 22.93.255.25422.93.255.255131,070
4822.94.0.0/1522.94.0.1 to 22.95.255.25422.95.255.255131,070
4922.96.0.0/1522.96.0.1 to 22.97.255.25422.97.255.255131,070
5022.98.0.0/1522.98.0.1 to 22.99.255.25422.99.255.255131,070
5122.100.0.0/1522.100.0.1 to 22.101.255.25422.101.255.255131,070
5222.102.0.0/1522.102.0.1 to 22.103.255.25422.103.255.255131,070
5322.104.0.0/1522.104.0.1 to 22.105.255.25422.105.255.255131,070
5422.106.0.0/1522.106.0.1 to 22.107.255.25422.107.255.255131,070
5522.108.0.0/1522.108.0.1 to 22.109.255.25422.109.255.255131,070
5622.110.0.0/1522.110.0.1 to 22.111.255.25422.111.255.255131,070
5722.112.0.0/1522.112.0.1 to 22.113.255.25422.113.255.255131,070
5822.114.0.0/1522.114.0.1 to 22.115.255.25422.115.255.255131,070
5922.116.0.0/1522.116.0.1 to 22.117.255.25422.117.255.255131,070
6022.118.0.0/1522.118.0.1 to 22.119.255.25422.119.255.255131,070
6122.120.0.0/1522.120.0.1 to 22.121.255.25422.121.255.255131,070
6222.122.0.0/1522.122.0.1 to 22.123.255.25422.123.255.255131,070
6322.124.0.0/1522.124.0.1 to 22.125.255.25422.125.255.255131,070
6422.126.0.0/1522.126.0.1 to 22.127.255.25422.127.255.255131,070
6522.128.0.0/1522.128.0.1 to 22.129.255.25422.129.255.255131,070
6622.130.0.0/1522.130.0.1 to 22.131.255.25422.131.255.255131,070
6722.132.0.0/1522.132.0.1 to 22.133.255.25422.133.255.255131,070
6822.134.0.0/1522.134.0.1 to 22.135.255.25422.135.255.255131,070
6922.136.0.0/1522.136.0.1 to 22.137.255.25422.137.255.255131,070
7022.138.0.0/1522.138.0.1 to 22.139.255.25422.139.255.255131,070
7122.140.0.0/1522.140.0.1 to 22.141.255.25422.141.255.255131,070
7222.142.0.0/1522.142.0.1 to 22.143.255.25422.143.255.255131,070
7322.144.0.0/1522.144.0.1 to 22.145.255.25422.145.255.255131,070
7422.146.0.0/1522.146.0.1 to 22.147.255.25422.147.255.255131,070
7522.148.0.0/1522.148.0.1 to 22.149.255.25422.149.255.255131,070
7622.150.0.0/1522.150.0.1 to 22.151.255.25422.151.255.255131,070
7722.152.0.0/1522.152.0.1 to 22.153.255.25422.153.255.255131,070
7822.154.0.0/1522.154.0.1 to 22.155.255.25422.155.255.255131,070
7922.156.0.0/1522.156.0.1 to 22.157.255.25422.157.255.255131,070
8022.158.0.0/1522.158.0.1 to 22.159.255.25422.159.255.255131,070
8122.160.0.0/1522.160.0.1 to 22.161.255.25422.161.255.255131,070
8222.162.0.0/1522.162.0.1 to 22.163.255.25422.163.255.255131,070
8322.164.0.0/1522.164.0.1 to 22.165.255.25422.165.255.255131,070
8422.166.0.0/1522.166.0.1 to 22.167.255.25422.167.255.255131,070
8522.168.0.0/1522.168.0.1 to 22.169.255.25422.169.255.255131,070
8622.170.0.0/1522.170.0.1 to 22.171.255.25422.171.255.255131,070
8722.172.0.0/1522.172.0.1 to 22.173.255.25422.173.255.255131,070
8822.174.0.0/1522.174.0.1 to 22.175.255.25422.175.255.255131,070
8922.176.0.0/1522.176.0.1 to 22.177.255.25422.177.255.255131,070
9022.178.0.0/1522.178.0.1 to 22.179.255.25422.179.255.255131,070
9122.180.0.0/1522.180.0.1 to 22.181.255.25422.181.255.255131,070
9222.182.0.0/1522.182.0.1 to 22.183.255.25422.183.255.255131,070
9322.184.0.0/1522.184.0.1 to 22.185.255.25422.185.255.255131,070
9422.186.0.0/1522.186.0.1 to 22.187.255.25422.187.255.255131,070
9522.188.0.0/1522.188.0.1 to 22.189.255.25422.189.255.255131,070
9622.190.0.0/1522.190.0.1 to 22.191.255.25422.191.255.255131,070
9722.192.0.0/1522.192.0.1 to 22.193.255.25422.193.255.255131,070
9822.194.0.0/1522.194.0.1 to 22.195.255.25422.195.255.255131,070
9922.196.0.0/1522.196.0.1 to 22.197.255.25422.197.255.255131,070
10022.198.0.0/1522.198.0.1 to 22.199.255.25422.199.255.255131,070
10122.200.0.0/1522.200.0.1 to 22.201.255.25422.201.255.255131,070
10222.202.0.0/1522.202.0.1 to 22.203.255.25422.203.255.255131,070
10322.204.0.0/1522.204.0.1 to 22.205.255.25422.205.255.255131,070
10422.206.0.0/1522.206.0.1 to 22.207.255.25422.207.255.255131,070
10522.208.0.0/1522.208.0.1 to 22.209.255.25422.209.255.255131,070
10622.210.0.0/1522.210.0.1 to 22.211.255.25422.211.255.255131,070
10722.212.0.0/1522.212.0.1 to 22.213.255.25422.213.255.255131,070
10822.214.0.0/1522.214.0.1 to 22.215.255.25422.215.255.255131,070
10922.216.0.0/1522.216.0.1 to 22.217.255.25422.217.255.255131,070
11022.218.0.0/1522.218.0.1 to 22.219.255.25422.219.255.255131,070
11122.220.0.0/1522.220.0.1 to 22.221.255.25422.221.255.255131,070
11222.222.0.0/1522.222.0.1 to 22.223.255.25422.223.255.255131,070
11322.224.0.0/1522.224.0.1 to 22.225.255.25422.225.255.255131,070
11422.226.0.0/1522.226.0.1 to 22.227.255.25422.227.255.255131,070
11522.228.0.0/1522.228.0.1 to 22.229.255.25422.229.255.255131,070
11622.230.0.0/1522.230.0.1 to 22.231.255.25422.231.255.255131,070
11722.232.0.0/1522.232.0.1 to 22.233.255.25422.233.255.255131,070
11822.234.0.0/1522.234.0.1 to 22.235.255.25422.235.255.255131,070
11922.236.0.0/1522.236.0.1 to 22.237.255.25422.237.255.255131,070
12022.238.0.0/1522.238.0.1 to 22.239.255.25422.239.255.255131,070
12122.240.0.0/1522.240.0.1 to 22.241.255.25422.241.255.255131,070
12222.242.0.0/1522.242.0.1 to 22.243.255.25422.243.255.255131,070
12322.244.0.0/1522.244.0.1 to 22.245.255.25422.245.255.255131,070
12422.246.0.0/1522.246.0.1 to 22.247.255.25422.247.255.255131,070
12522.248.0.0/1522.248.0.1 to 22.249.255.25422.249.255.255131,070
12622.250.0.0/1522.250.0.1 to 22.251.255.25422.251.255.255131,070
12722.252.0.0/1522.252.0.1 to 22.253.255.25422.253.255.255131,070
12822.254.0.0/1522.254.0.1 to 22.255.255.25422.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses